---
  title: Theme Changelog
  subtitle: Lists all changes to the theme files
  layout: docs.hbs
---

# Version 1.0.0
> Release Date : 4th Jan 2013

- Initial Release

# Version 1.0.1
> Release Date : 5th Jan 2013

- TF Reviewer fixes

# Version 1.1.0
> Release Date : 12th Jan 2013

- Added "masonry blog" page
- Added "Paralax" homepage
- Added "Comming soon" page
- Added counters shortcode
- Added countdown shortcode
- Added Section height classes (normal, short and tiny)
- Added overlay grid image options in background overlays
- Added support for audio posts
- Added support for audio portfolio items
- Added two new color swatches
- Added new video guides
- Added animation options for services images
- Restyled audio audio links
- Styled "link" buttons
- Panel shortcode now accepts shortcode in content
- Fixed magnific popup button placement
- Fixed issue with button shortcode text
- Restyled fancy lists (icon now on top)
- Updated documentation
    * added more installation instructions
    * added theme options documentation
- Fix for footer height classes
- Fix for footer decoration classes
- Fix for wp-captions max width
- Fixed broken links in docs
- Fixed jumpy behaviour in accordions
- Fix stylesheet loading dependancy bug in child theme
- Added alignment classes to vc_column shortcode
- Added Service Image Animations

# Version 1.2.0
> Release Date : 23rd Jan 2014

- Added Layer Slider
- Added Import Demo Content Installer
- Fixed issue in the alignment of the cart items when mini cart is on top bar
- Fixed issue in the search widget on top bar and menu bar position
- Translatable prev/next arrows in magnific popup gallery
- Updated documentation
- Fix for capitalisation option for navigation bar
- Fix for padding on menus on small screens after scrolling
- Removed css that used to hide background videos on mobile. Option in backend exists.
- Fixed Masonry bug with containing collapsed gallery
- Flexslider now triggers Masonry relayout in case it has different sized images
- Fix site_url call in logo link changed to home_url
- Added French frontend translations
- Updated Visual Composer to 3.7.4

# Version 1.3.0
> Release Date : 6th Feb 2014

- Added nested rows in Visual Composer
- Woocommerce product flexslider options section
- On scroll animations added
- Added article tag to pages
- Added new demo pages (layer slider and scroll animations)
- Added article tag to pages
- Related portfolio items now shown in random order
- Updated demo content with new LayerSlider Homepage & Scroll Animations
- Added German Translations

# Version 1.3.1
> Release Date : 10th Feb 2014

- Updated Envato toolkit plugin
- Added demo-simple.xml file
- Fix for video backgrounds on FireFox on Mac
- Updated demo content docs

# Version 1.4.0
> Release Date : 22nd Feb 2014

- WooCommerce 2.1 now supported
- Mediaelement library now enqueued from wordpress
- Quote Post now doesn't show featured image
- Sub Menu width option added
- Added social media sharing shortcode
- Added vertical positioning option for section background images & videos
- Tabs and Accordion extra classes option fixed
- Demo Content Installer fixes ( better error reporting and all requests stringified )
- Added Demo Content Pre-flight checklist to demo content install page
- Added straight to cart page option to cart widget

# Version 1.5.0
> Release Date : 29th Mar 2014

- Updated Visual Composer Plugin to 4.0.3
- Updated woocommerce product-attributes.php to remove nag message
- Updated Layer Slider Plugin to Version 5.1.1
- Updated Revolution Slider to Version 4.3.3
- Stripteaser option now set to default off
- Added random option to Testimonials
- Added Gravity Forms shortcode to Visual Composer elements
- Moved install plugins menu to theme menu
- Added webm video background support
- Added custom editor style to admin panel
- Added flexslider direction option
- Fixed portfolio link transaltions
- Fix logo link to use home_url
- Fix broken preview button in custom post types
- Fix Link image option in Services Shortcode
- Fix for Firefox background positions
- Fix broken image in one click installer
- Fixed bug in flexslider controls alignment
- Updated & Improved Documentation

# Version 1.5.1
> Release Date : 19th Apr 2014

- Fix for social links in WooCommerce products
- Added icon to add the cart buttons in WooCommerce
- Related Products columns now linked to shop page column option
- open link in added to all custom posts
- added title attribute to twitter social sharing
- added marker label option to google map shortcode
- fixed bug with woocommerce sidebar pages
- improved docs
- fixed caption options in flexslider
- updated visual composer ( fixes issues with WordPress 3.9 )
- updated Revolution Slider

# Version 1.5.2
> Release Date : 25th Apr 2014

- Updated oxygenna typography plugin ( fix bug in add font in WP 3.9 )
- Fixed bug in woocommerce shortcodes ( columns not working )
- updated docs with masonry blog instructions

# Version 1.5.3
> Release Date : 26th June 2014

- Map Scroll Option
- Infinite Scroll Stacking fix
- Social Share tooltips now translatable
- Swatches render each in their own style tag ( ie9 fix )
- Background videos and loader updated ( fixed for ie9 aswell )
- Fixed audio shortcode
- Increased max staff & service count
- Fixed left/right align section title
- Added revisions to staff & portfolio post types
- Fixed blog page overrides
- Updated woocommerce templates to remove warning
- Updated Revolution slider to 4.5.6
- Updated Visual Composer to 4.2.3
- Fixed swatch red white for cart sidebar

# Version 1.6.0
> Release Date : 21st July 2014

- Theme now works without Oxygenna Plugins
- Updated FontAwesome to 4.1
- New Admin Pages Style
- Improved Typography Options
- Fixed nav bar now uses waypoints ( allows fixed and top bar to be used together )
- New Smooth Scrolling
- New Fullheight Sections
- New archive page setting for Services / Portfolio / Staff
- Fix for infinate scrolling when you have 2 shortcodes on the same page
- Updated plugins Revolution Slider / Layer Slider and Visual Composer
- Added atom microrodata classes to posts / pages

# Version 1.6.1
> Release Date : 23rd July 2014

- Removed background color from the body
- Fixed issue with 4 column portfolios
- Updated Visual Composer plugin to 4.3.3
- Updated Revolution Slider plugin to 4.5.95
- Updated Layer Slider plugin to 5.2.0
- Updated TGM plugin to latest dev version

# Version 1.7.0
> Release Date : 29th July 2014

- Added Gravity form Support
- Added extra vimeo font awesome icon to social icons
- Fixed issue with magnific popup z index
- Fixed issue with admin bar and fixed menu type
- Fixed some validation errors
- Fixed animations on product icons on woocommerce
- Fixed variation product styling
- Fixed default 404 image url

# Version 1.7.1
> Release Date : 12 September 2014

- Fixed Language selector widget in menu widget
- Fixed feature shortcode where icon always visible
- Fixed Audio Player buttons issue
- Fixed blog post border alignment
- Fixed background videos for new mediaelement version in wordpress 4
- Fixed typekit in typography settings
- Panel shortcode can now be a container of other shortcodes
- Added vertical align on rows option
- Multisite signup page styled
- Feature sc icon option now works when no icon is selected
- Updated Revolution Slider 4.6.0
- Updated Envato Wordpress Toolkit 1.7.0
- Updated Font Awesome to 4.2
- Update to Demo Content Installer (now installs revolution sliders & separate woocommerce package)
- Updated Documentation
- Fixed Visual Composer 4.3.3 icons

# Version 1.7.2
> Release Date: 25th September 2014

- Fixed left sidebar template on IOS (the sidebar goes bellow the content now
- Fixed bug on Woocommerce select options in forms
- Fixed positioning of recent post widget titles when too long
- Fixed styling on select elements
- Updated WooCommerce templates to 2.2.4
- Removed Smooth Scrolling plugin for Chrome
- Background videos on iOS devices have a poster that covers the container
- Background videos are now fluid fullwidth and always vertically centered
- Fixed media element for Audio Posts
- Fixed element selection in typekit and system fonts
- Updated Docs

# Version 1.7.3
> Release Date: 25th September 2014

- Fixed missing plugins in 1.7.2
- Fixed hover delay option for menu

# Version 1.7.4
> Release Date: 13th November 2014

- Fixed progress bar shortcode
- Fix for WooCommerce country select box
- Changed shortcodes to use wp_query to fix WPML translations
- Updated animate.css - added new animation effects
- Gallery shortcode images now show in one gallery
- Updated plugins Visual Composer / Revolution Slider / Layer Slider
- Updated woocommerce templates for 2.2.8

# Version 1.7.5
> Release Date: 8th December 2014

- Fixed bug when editing panel shortcode content
- Slider images can open with magnific popup
- Added clickthrough menus on mobile devices
- Variation products reflect the change of the image.
- Added option to save swatch CSS as files
- Fixed parallax bug for background images after portfolio section
- Major updates to docs
- Unminified theme.css and theme.js available
- Added support for mp4 video formats for posts

# Version 1.7.6
> Release Date: 19th Dec 2014

- Gallery shortcode now loads clicked image first
- Fixed JS error for missing poster attr
- Fix for number of staff items in shortcode
- Fix bug with jQuery UI in admin panel
- Updated Visual Composer to 4.3.5 (Fixes WordPress 4.1 Compatibility)
- Fixed bug with Install default fonts button
- Fixed CSS in bounce animation of images
- Fixed issue with vertical alignment in FireFox
- Updated docs

# Version 1.7.7
> Release Date: 21st Dec 2014

- Bug fix for load_sidebars call

# Version 1.7.8
> Release Date: 27th February 2015

- Fixed alignment error on bordered headers on small screens
- Removed bullets from testimonials list
- Woocommerce updated to 2.3.5
- Fixed portfolio pagination bug
- Added compatibility with quantity increment plugin https://wordpress.org/plugins/woocommerce-quantity-increment/
- Added ordering options to Portfolios, Services and Staff
- Removed legacy iOS < 7 scrolling js
- Fixed bug in testimonials list
- Fixed Featured staff shortcode custom link
- Improved docs

# Version 1.7.9
> Release Date: 27th March 2015

- Fixed bug with carousel of related posts section on single post page.
- Fixed bug for link target option of portfolio items.
- Fixed bug in Hover menu on mobiles
- Fixed bug in zig zag and zipper decorations on small screens
- Fixed bug when using iFrames in theme pages
- Fixed issue in RevSlider for fixed images
- Extra options in flexslider (reverse & loop)
- Option to toggle between minified and non-minified assets.
- Woocommerce updated to 2.3.7
- Added missing class to the checkout page review table
- Updated Revolution Slider to 4.5.95
- Updated Visual Composer to 4.4.3

# Version 1.8.0
> Release Date: 23rd April 2015

- Fixed bug in Typography System Fonts
- Made logo stay responsive on small screens
- Fixed Extra Classes option for Text Block shortcode
- Fixed bug in height of testimonials slider
- Fixed bug in shortcodes pagination redirects
- Added Mega Menu
- Updated to Font Awesome 4.3
- Updated Revolution Slider plugin to 4.6.9
- Updated Visual Composer plugin to 4.4.4
- Updated TGM Plugin to fix security issue
- Fixed esc_url issue in Mega Menu
- Update templates for woocommerce 2.3.8
- Updated documentation

# Version 1.8.1
> Release Date: 5th May 2015

- Re-enabled Empty Space, Add to cart URL, Product Attributes elements
- Fixed Vertical allignment in fullheight sections
- Fixed cart page product thumbnails on mobiles
- Fixed Firefox grid post thumbnail width
- Fixed mediaelement audio style in ajax masonry posts
- Updated Revolution Slider plugin to 4.6.92
- Fixed maps bug with google latest version.
- Fixed parallax issue on background images when Revolution Slider is present.
- Updated Documentation

# Version 1.9.0
> Release Date: 15th June 2015

- Added justify to all text-align options.
- Added woo template for payment alignment checkbox issue.
- Improved header capitalization options.
- Added extra JS field in the advanced options.
- Added option to turn off atom meta.
- Added page loader.
- Added shop widget position.
- Magnific video popups are now not disabled on mobile.
- Added mega menus to the docs.
- Updated Visual Composer plugin(4.5.2).
- Portfolio popups can now load a gallery of all portfolio items.
- Added options for captions on portfolio magnific popup.
- Fixed portfolio overlay bug when title and excerpt are hidden.
- Added speed option to testimonials slideshow.
- Added Polish and Spanish translations.
- Fix for gallery magnific images
- Removed hard coded site title from header, now added using filter (better for SEO plugins)
- Fix account/my-orders.php to use latest WooCommerce template 2.3.11
- Fix save permalinks when changing Post Types option page

# Version 1.10.0
> Release Date: 21st July 2015

- Updated Bootstrap to version 3.3.5
- Updated Visual Composer to 4.6.0
- Updated Revolution Slider to 4.6.93
- Updated Layer Slider to 5.5.0
- Fixed product count bug in Firefox
- Child theme now contains translation files
- Removed css that was breaking caption animations for Revolution Slider
- Fixed social icon widget syntax error
- Tracking order page styled for Woocommerce
- Compatible with latest Woocommerce 2.3.13
- Added option for country code to WPML Language Selector Widget


# Version 1.10.1
> Release Date: 23rd July 2015

- Fixed avatar size issue on comments
- Fixed default numeric values for shortcode options
- Updated script for Google Analytics to new Universal Analytics

# Version 1.10.2
> Release Date: 4th August 2015

- Fixed feature and featured icon shortcodes not rendering icons.
- Updated Visual Composer to 4.6.2
- Updated Font Awesome icons to 4.4
- Fixed layout bug on recent posts

# Version 1.10.3
> Release Date: 4th September 2015

- Updated Woocommerce to 2.4.6
- Updated Layerslider to 5.6.2
- Styled Woocommerce's Store Notice text.
- Fixed Recent Posts shortcode default values.
- Styled woocommerce shipping option on cart and checkout pages.
- Fixed map label bug.

# Version 1.10.4
> Release Date: 17th September 2015

- Updated Visual Composer to 4.7.1
- Changed order of sidebar registration to fix demo installer issue
- Fixed Separator Shortcode

# Version 1.10.5
> Release Date: 7th October 2015

- Updated Revolution Slider to version 5.0.9
- Updated Visual Composer to 4.7.4

# Version 1.11.0
> Release Date: 15th January 2016

- Updated Woocommerce to 2.4.12
- Updated Visual Composer 4.9.2
- Fixed bug where comments section on pages had no swatch. They now load the footer swatch.
- Updated Revolution Slider to version 5.1.6
- Updated TGM Plugin

# Version 1.11.1
> Release Date: 17th January 2016

- Fixed bug in visual composer setup (was breaking some older versions)

# Version 1.12.0
> Release Date: 21st March 2016

- Updated Woocommerce to 2.5.5
- **warning** will need to update to Woocommerce 2.5.5
- Updated Revolution Slider to 5.2.3
- Updated Visual Composer to 4.11.1
- Documentation improvements

# Version 1.12.1
> Release Date: 25th March 2016

- Updated plugin zip files (missing from previous version)
- Fixed product layout with different sized images

# Version 1.12.2
> Release Date: 13th April 2016

- Compatible with Wordpress 4.5
- Updated Visual Composer to 4.11.2

# Version 1.12.3
> Release Date: 14th June 2016

- Updated Visual Composer to 4.12
- Updated Font Awesome icons to 4.6.2
- Updated Revolution Slider to 5.2.5.3
- Updated Layer Slider to 5.6.8
- Fixed Facebook sharer link
- Fix for mobile menu button icon toggle

# Version 1.13.0
> Release Date: 5th July 2016

- Updated woocommerce to 2.6.1
- **warning** will need to update to Woocommerce 2.6.1
- Updated Layer Slider to 5.6.9
- Added Google API key option for new Google Javascript API policy. Needed for new websites that use Google maps.
- Updated Revolution Slider to 5.2.6

# Version 1.13.1
> Release Date: 3rd August 2016

- Updated woocommerce to 2.6.4
- Added modal functionality to buttons and menu.
- Added compatibility with Nav Menu Roles plugin
- Moved Woocommerce store notice text to the top of the Shop page
- Fixed one page menu for windows phones
- Blog menu item stays active when user visits any blog page
- Updated documentation

# Version 1.13.2
> Release Date: 29th August 2016

- Fixed scrolling to #id section when navigating from another page

# Version 1.13.3
> Release Date: 26th September 2016

- Updated Visual Composer to 4.12.1
- Smooth scrolling bug fix

# Version 1.13.4
> Release Date: 22nd November 2016

- Updated Visual Composer to 5.0.0
- Fixed audio shortcode bug for autoplay always on

# Version 1.14.0
> Release Date : 10th January 2017

- Updated Visual Composer to 5.0.1
- Updated Revolution Slider to 5.3.1.5
- Updated Layer Slider to 6.1.0
- Updated Google Maps API version
- Supports WooCommerce v4.6.11
- Fixed Contact Form 7 loader when submitting form

# Version 1.14.1
> Release Date : 9th March 2017

- Shortcodes can now be overriden in the child theme
- Fixed an issue where portfolio items would not show captions on popup.
- Fixed Portfolio shortcode bug where popup would not allow users to navigate through all items.
- Updated Layer Slider to v6.1.6
- Updated Revolution Slider to v5.4.1
- Supports Woocommerce v2.6.14

# Version 1.15.0
> Release Date : 3rd May 2017

- Updated Visual Composer to 5.1.1
- Updated Layer Slider to 6.3.0
- Updated Revolution Slider to 5.4.3.1
- Updated WooCommerce templates to be compatible with WooCommerce 3.0.4
**WARNING - This is a major update to WooCommerce please test before updating**

# Version 1.15.1
> Release Date : 11th July 2017

- Updated Visual Composer to 5.2.0
- Updated Layer Slider to 6.5.1
- Updated Revolution Slider to 5.4.5.1
- Blog title and subtitle are now translatable with WPML.
- Compatible with WooCommerce 3.1.0
- Fixed missing translations for Woocommerce

# Version 1.15.2
> Release Date : 25th September 2017

- Fixed bug where infinite scrolling was broken.
- Updated Visual Composer to v5.3
- Updated Revolution Slider plugin to v5.4.6
- Compatible with Woocommerce v3.1.2
- Updated Layer Slider to 6.5.8

# Version 1.16.0
> Release Date : 17th November 2017

- Compatible with WordPress v4.9
- Fixed background videos for WordPress v4.9.
- Updated Visual Composer to v5.4.4
- Updated Layer Slider to 6.6.2
- Updated Revolution Slider plugin to v5.4.6.3.1
- Compatible with Woocommerce v3.2.4
- Updated Spanish translations
- Updated Google Maps API version
- Improved compatibility of Woocommerce plugin with PHP 7
- Fixed services bug where images would not hide
- Fixed swatches error caused by latest Visual Composer plugin

# Version 1.17.0
> Release Date : 13th December 2017

- Compatible with WordPress v4.9.1
- Updated Visual Composer to v5.4.5
- Updated Layer Slider to 6.6.5
- Updated Waypoints to v3.1.0
- Added Grid Builder of Visual Composer
- Compatible with Woocommerce v3.2.5

# Version 1.18.0
> Release Date : 27th February 2018

**Must update WooCommerce to v3.3.3**
**WARNING - This is a major update to WooCommerce please test before updating.**

- Compatible with Woocommerce v3.3.3
- Updated Revolution Slider plugin to v5.4.7.1
- Updated Layer Slider plugin to v6.7.0
- Product columns are now set from Woocommerce Customizer options
- Added back Visual Composer button shortcode
- Grid shortcodes' load more button fixed
- Fixed fullwidth container when vertical middle/bottom is used

# Version 1.18.1
> Release Date : 15th March 2018

- Updated Visual Composer to v5.4.7
- Updated Layer Slider plugin to v6.7.1
- Fixed styling for audio player
- Fixed undefined media element background image

# Version 1.18.2
> Release Date : 4th April 2018

- Updated Revolution Slider plugin to v5.4.7.2
- Compatible with Woocommerce v3.3.4

# Version 1.18.3
> Release Date : 30th May 2018

**Must update WooCommerce to v3.4.0**
**WARNING - This is a major update to WooCommerce please test before updating.**

- Compatible with Woocommerce v3.4.0
- Updated Revolution Slider plugin to v5.4.7.4
- Updated Layer Slider plugin to v6.7.6
- Analytics code only gets rendered if it is not empty
- Fixed background videos autoplay issue

# Version 1.18.4
> Release Date : 14th June 2018

- Compatible with Woocommerce v3.4.2
- Fix for page header background images

# Version 1.18.5
> Release Date : 3rd July 2018

- Updated WPBakery Visual Composer to v5.5.2
- Updated Revolution Slider plugin to v5.4.8
- Compatible with Woocommerce v3.4.3

# Version 1.18.6
> Release Date : 21st August 2018

- WPBakery Page Builder, LayerSlider and Revolution Slider plugins now come from external source. Theme size improved.
- Compatible with Woocommerce v3.4.4
- Added further data sanitization which improves security

# Version 1.18.7
> Release Date : 8th October 2018

- Updated WPBakery Visual Composer to v5.5.4
- Compatible with Woocommerce v3.4.5

# Version 1.18.8
> Release Date : 2nd January 2019

- Updated WPBakery Visual Composer to v5.6
- Updated Revolution Slider to v5.4.8.1
- Updated Layer Slider to v6.7.6

# Version 1.18.9
> Release Date : 8th January 2019

- Tested up to WordPress 5.0.2
- Compatible with Woocommerce v3.5.3
- Updated Google Maps API version

# Version 1.18.10
> Release Date : 25th February 2019

- Updated WPBakery Visual Composer to v5.7
- Updated Revolution Slider to v5.4.8.2
- Updated Layer Slider to v6.8.1
- Compatible with Woocommerce v3.5.5
- Facebook and Google+ sharing issue fixed
- Fixed single product navigation buttons positioning in the single product page