<?php
/**
 * Themes shortcode options go here
 *
 * @package Angle
 * @subpackage Core
 * @since 1.0
 *
 * @copyright (c) 2014 Oxygenna.com
 * @license http://wiki.envato.com/support/legal-terms/licensing-terms/
 * @version 1.18.10
 */

return array(
    'title' => esc_html__('Row Options', 'angle-admin-td'),
    'fields' => array(
        array(
            'name'    => esc_html__('Swatch', 'angle-admin-td'),
            'desc'    => esc_html__('Choose a color swatch for the section', 'angle-admin-td'),
            'id'      => 'swatch',
            'type'    => 'select',
            'default' => 'swatch-white-red',
            'options' => include OXY_THEME_DIR . 'inc/options/shortcodes/shortcode-swatches-options.php',
            'admin_label' => true,
        ),
        array(
            'name'    => esc_html__('Top Decoration', 'angle-admin-td'),
            'desc'    => esc_html__('Choose a style to use as the top decoration.', 'angle-admin-td'),
            'id'      => 'top_decoration',
            'type'    => 'select',
            'default' => 'none',
            'options' => include OXY_THEME_DIR . 'inc/options/global-options/section-decorations.php',
        ),
        array(
            'name'    => esc_html__('Bottom Decoration', 'angle-admin-td'),
            'desc'    => esc_html__('Choose a style to use as the bottom decoration.', 'angle-admin-td'),
            'id'      => 'bottom_decoration',
            'type'    => 'select',
            'default' => 'none',
            'options' => include OXY_THEME_DIR . 'inc/options/global-options/section-decorations.php',
        ),
        //hidden for now
        array(
            'name'    => '',
            'id'      => 'content',
            'type'    => 'hiddentext',
            'default' => '',
            'desc'    => ''
        ),
        array(
            'name'    => esc_html__('Section Padding', 'angle-admin-td'),
            'desc'    => esc_html__('Choose the amount of padding added to the height of this section', 'angle-admin-td'),
            'id'      => 'height',
            'type'    => 'select',
            'options' => array(
                'normal'     => esc_html__('Normal', 'angle-admin-td'),
                'short'      => esc_html__('Short', 'angle-admin-td'),
                'tiny'       => esc_html__('Tiny', 'angle-admin-td'),
                'nopadding' => esc_html__('No Padding', 'angle-admin-td'),
            ),
            'default' => 'normal',
        ),
        array(
            'name'      =>  esc_html__('Section height', 'angle-admin-td'),
            'desc'    => esc_html__('Make the section fullheight( have a height at minimum as the screen size )', 'angle-admin-td'),
            'id'        => 'fullheight',
            'type'      => 'select',
            'options'   =>  array(
                'on'  => esc_html__('Enabled', 'angle-admin-td'),
                'off' => esc_html__('Disabled', 'angle-admin-td'),
            ),
            'default'   => 'off',
        ),
        array(
            'name'    => esc_html__('Section Width', 'angle-admin-td'),
            'desc'    => esc_html__('Choose between padded-non padded section', 'angle-admin-td'),
            'id'      => 'width',
            'type'    => 'select',
            'options' => array(
                'padded'    => esc_html__('Padded', 'angle-admin-td'),
                'no-padded' => esc_html__('Full Width', 'angle-admin-td'),
            ),
            'default' => 'padded',
        ),
        array(
            'name'    => esc_html__('Optional class', 'angle-admin-td'),
            'id'      => 'class',
            'type'    => 'text',
            'default' => '',
            'desc'    => esc_html__('Add an optional class to the section', 'angle-admin-td'),
        ),
        array(
            'name'    => esc_html__('Optional id', 'angle-admin-td'),
            'id'      => 'id',
            'type'    => 'text',
            'default' => '',
            'desc'    => esc_html__('Add an optional id to the section', 'angle-admin-td'),
        ),
        array(
            'name'    => esc_html__('Section Content Vertical Alignment', 'angle-admin-td'),
            'desc'    => esc_html__('Align the content of the section vertically', 'angle-admin-td'),
            'id'      => 'vertical_alignment',
            'type'    => 'radio',
            'options' => array(
                'top'       => esc_html__('Top', 'angle-admin-td'),
                'middle'    => esc_html__('Middle', 'angle-admin-td'),
                'bottom'    => esc_html__('Bottom', 'angle-admin-td'),
            ),
            'default' => 'top',
        )
    )
);
